reagent.optimizer package
=========================

Submodules
----------

reagent.optimizer.optimizer module
----------------------------------

.. automodule:: reagent.optimizer.optimizer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.optimizer.scheduler module
----------------------------------

.. automodule:: reagent.optimizer.scheduler
   :members:
   :undoc-members:
   :show-inheritance:

reagent.optimizer.scheduler\_union module
-----------------------------------------

.. automodule:: reagent.optimizer.scheduler_union
   :members:
   :undoc-members:
   :show-inheritance:

reagent.optimizer.soft\_update module
-------------------------------------

.. automodule:: reagent.optimizer.soft_update
   :members:
   :undoc-members:
   :show-inheritance:

reagent.optimizer.uninferrable\_optimizers module
-------------------------------------------------

.. automodule:: reagent.optimizer.uninferrable_optimizers
   :members:
   :undoc-members:
   :show-inheritance:

reagent.optimizer.uninferrable\_schedulers module
-------------------------------------------------

.. automodule:: reagent.optimizer.uninferrable_schedulers
   :members:
   :undoc-members:
   :show-inheritance:

reagent.optimizer.union module
------------------------------

.. automodule:: reagent.optimizer.union
   :members:
   :undoc-members:
   :show-inheritance:

reagent.optimizer.utils module
------------------------------

.. automodule:: reagent.optimizer.utils
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: reagent.optimizer
   :members:
   :undoc-members:
   :show-inheritance:
